if [ $# -ne 4 ]; then
	echo Usage [input-file] [input-dir] [output-file] [adj-matrix-dir]
	exit
fi

inputFile=$1
inputDir=$2
outputFile=$3
adjMatrixDir=$4

if [ ! -f $inputFile ]; then
	echo Error: File $inputFile not found
	exit
fi

if [ ! -d $inputDir ]; then
	echo Error: Directory $inputDir not found
	exit
fi

if [ -d $adjMatrixDir ]; then
	rm -r $adjMatrixDir
fi
mkdir $adjMatrixDir

echo -n "" > $outputFile.adjlist.tmp
echo -n "" > $outputFile.domainlist.tmp

count=0
IFS=$'\n'
for line in `cat $inputFile`; do
	label=$(echo $line | cut -f1)
	file=$(echo $line | cut -f2)
	if [ ! -s $inputDir/$file ]; then
		continue
	fi
	./bin/gen-adj-matrix $inputDir/$file > $adjMatrixDir/$file
	echo $label >> $outputFile.domainlist.tmp
	echo $file >> $outputFile.adjlist.tmp
	count=`expr $count + 1`
	echo -e "Adjacency matrix: $count done"
done

matlab -nodisplay -r "addpath script; assortativityall('$adjMatrixDir','$outputFile.adjlist.tmp','$outputFile.assortlist.tmp'); rmpath script; exit;"

paste $outputFile.domainlist.tmp $outputFile.assortlist.tmp > $outputFile

rm -r $adjMatrixDir
rm $outputFile.*.tmp
