if [ $# -ne 2 ]; then
    echo Usage: $0 [input-file] [output-file]
    exit
fi
           
inputFile=$1
outputFile=$2

if [ ! -f $inputFile ]; then
    echo Error: File $inputFile not found
    exit
fi

noRows=$(wc -l $inputFile | cut -f1 -d' ')
noColumns=$(head -1 $inputFile | awk '{ print NF }')

cut -f1 $inputFile > $outputFile

for((i=2;i<=noColumns;i++)); do
    val=$(cut -f$i $inputFile | awk '{ sum += $1 } END { print sum }')
    noUniqElement=$(cut -f$i $inputFile | sort | uniq | wc -l)
    if [ $noUniqElement -gt 1 ]; then
        cut -f$i $inputFile > $outputFile.col
        paste $outputFile $outputFile.col > $outputFile.merge
        mv $outputFile.merge $outputFile
        rm $outputFile.col
    fi
done


