	args=commandArgs(TRUE)
	noArgs=length(args)
	if(noArgs != 4) {
		stop("4 arguments needed: [input-file] [variation-threshold] [output-class-file] [output-pc-file]")
	}

	inputfile=args[1]
	variationThreshold=as.numeric(args[2])
	outputclassfile=args[3]
	outputpcfile=args[4]

	#print(inputfile)
	dat <- read.table(inputfile, stringsAsFactors=FALSE)
	x <- as.matrix(dat[, -1])
	noRows <- nrow(x)
	cat("No of objects:",noRows,"\n")
	noColumns <- ncol(x)
	cat("No of original dimensions:",noColumns,"\n")
	x.pca <- prcomp(x, scale.=TRUE)
	sumEigen <- sum(x.pca$sdev^2)
	sumEigenCurrent <- 0
	for(i in 1:noColumns)
	{
		sumEigenCurrent <- sumEigenCurrent + x.pca$sdev[i]^2
		cat(round(sumEigenCurrent*100/sumEigen,digits=0),"% variation ( EV: ",x.pca$sdev[i]^2,") with",i,"dimension\n")
		if(sumEigenCurrent/sumEigen >= variationThreshold)
		{
			break
		}
	}
	noColumnsReduced <- i
	cat("No of reduced dimensions:",noColumnsReduced,"\n")
	if(noColumnsReduced < 2) {
		noColumnsReduced <- 2
		cat("No of reduced dimensions is corrected to 2 to ensure cosine similarity-based comparison\n")
	}
	
	write.table(dat[,1],file=outputclassfile,sep="\t",row.names=FALSE,col.names=FALSE,quote=FALSE)
	write.table(x.pca$x[,1:noColumnsReduced],file=outputpcfile,sep="\t",row.names=FALSE,col.names=FALSE)
