if [ $# -ne 3 ]; then
	echo Usage: $0 [input-file] [variation-threshold] [output-file]
	exit
fi

inputFile=$1
variationThreshold=$2
outputFile=$3

if [ ! -f $inputFile ]; then
	echo Error: File $inputFile not found
	exit
fi

sh script/eliminate-identical-columns-from-matrix.sh $inputFile $inputFile.elim

Rscript script/generate-pc.r $inputFile.elim $variationThreshold $outputFile.class $outputFile.pc

paste $outputFile.class $outputFile.pc > $outputFile

rm $inputFile.elim
rm $outputFile.class
rm $outputFile.pc
