	args=commandArgs(TRUE)
	noArgs=length(args)
	if(noArgs != 3) {
		stop("3 arguments needed: [input-file] [output-class-file] [output-pc-file]")
	}

	inputfile=args[1]
	outputclassfile=args[2]
	outputpcfile=args[3]

	dat <- read.table(inputfile, stringsAsFactors=FALSE)
	x <- as.matrix(dat[, -1])
	noRows <- nrow(x)
	cat("No of objects:",noRows,"\n")
	noColumns <- ncol(x)
	cat("No of original dimensions:",noColumns,"\n")
	x.pca <- prcomp(x, scale.=TRUE)
	
	write.table(dat[,1],file=outputclassfile,sep="\t",row.names=FALSE,col.names=FALSE,quote=FALSE)
	write.table(x.pca$x[,1:2],file=outputpcfile,sep="\t",row.names=FALSE,col.names=FALSE)
